# Copyright (c) 2021, InfluxFramework LLC
# MIT License. See license.txt


import functools

import influxframework


@influxframework.whitelist()
def get_google_fonts():
	return _get_google_fonts()


@functools.lru_cache
def _get_google_fonts():
	file_path = influxframework.get_app_path("influxframework", "data", "google_fonts.json")
	return influxframework.parse_json(influxframework.read_file(file_path))
